import { VIDEO_ACCESS_TARGETING } from '@/modules/@common/acl/constants';

import { hasPermission } from '@/modules/@common/user/helpers';

function calculatePermissions(userPermissions) {
  return {
    canCreateEdit: hasPermission(VIDEO_ACCESS_TARGETING, userPermissions),
    canRemove: hasPermission(VIDEO_ACCESS_TARGETING, userPermissions),
  };
}

export default calculatePermissions;
